http://guardduty.{region}.amazonaws.com/detector/{detectorId}/filter/{filterName}Updates the filter specified by the filter name.
The unique ID of the detector that specifies the GuardDuty service where you want to update a filter.
The name of the filter.
Specifies the position of the filter in the list of current filters. Also specifies the order in which this filter is applied to the findings.
Specifies the action that is to be applied to the findings that match the filter.
The description of the filter. Valid characters include alphanumeric characters, and special characters such as hyphen, period, colon, underscore, parentheses (<code>{ }</code>, <code>[ ]</code>, and <code>( )</code>), forward slash, horizontal tab, vertical tab, newline, form feed, return, and whitespace.
Contains information about the criteria used for querying findings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/filter/{filterName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://guardduty.{region}.amazonaws.com/detector/{detectorId}/filter/{filterName}Updates the filter specified by the filter name.
The unique ID of the detector that specifies the GuardDuty service where you want to update a filter.
The name of the filter.
Specifies the position of the filter in the list of current filters. Also specifies the order in which this filter is applied to the findings.
Specifies the action that is to be applied to the findings that match the filter.
The description of the filter. Valid characters include alphanumeric characters, and special characters such as hyphen, period, colon, underscore, parentheses (<code>{ }</code>, <code>[ ]</code>, and <code>( )</code>), forward slash, horizontal tab, vertical tab, newline, form feed, return, and whitespace.
Contains information about the criteria used for querying findings.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://guardduty.{region}.amazonaws.com/detector/{detectorId}/filter/{filterName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}